Page MenuHomePhabricator

Convert JSON subfields to database-only solution
Closed, ResolvedPublic

Description

In tracker_mediainfo, two fields are JSON in fact (categories and usages). That causes issues when you want to analyze those fields. Where SQL query was enough, a full script is required sometimes.

It would be nice to have those fields converted into a database-only solution, for instance a Usage class with following attributes:

  • project
  • title

Category can be done analogically.

Details

Related Gerrit Patches:

Event Timeline

Urbanecm created this task.Mar 25 2019, 4:52 PM
Urbanecm moved this task from Inbox to Ready (PM's approval not needed) on the WMCZ-Tracker board.
Urbanecm moved this task from Backlog to GCI on the User-Urbanecm board.Aug 25 2019, 11:59 PM
Urbanecm claimed this task.Jan 12 2020, 4:39 PM
Urbanecm moved this task from GCI to Working on on the WMCZ-Tracker board.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJan 12 2020, 4:39 PM

Change 563726 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[wikimedia-cz/tracker@master] Convert JSON subfields to database-only solution

https://gerrit.wikimedia.org/r/563726

Change 563726 merged by Urbanecm:
[wikimedia-cz/tracker@master] Convert JSON subfields to database-only solution

https://gerrit.wikimedia.org/r/563726

Urbanecm closed this task as Resolved.Jan 12 2020, 5:17 PM